/*
 * This file is part of the LibreOffice project.
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 *
 * This file incorporates work covered by the following license notice:
 *
 *   Licensed to the Apache Software Foundation (ASF) under one or more
 *   contributor license agreements. See the NOTICE file distributed
 *   with this work for additional information regarding copyright
 *   ownership. The ASF licenses this file to you under the Apache
 *   License, Version 2.0 (the "License"); you may not use this file
 *   except in compliance with the License. You may obtain a copy of
 *   the License at http://www.apache.org/licenses/LICENSE-2.0 .
 */

#ifndef OOX_TOKEN_PROPERTIES_HXX
#define OOX_TOKEN_PROPERTIES_HXX

#include <sal/types.h>

namespace oox {
const sal_Int32 PROP_AbsoluteName = 0;
const sal_Int32 PROP_Action = 1;
const sal_Int32 PROP_ActiveSplitRange = 2;
const sal_Int32 PROP_ActiveTable = 3;
const sal_Int32 PROP_Address = 4;
const sal_Int32 PROP_Adjust = 5;
const sal_Int32 PROP_AdjustContrast = 6;
const sal_Int32 PROP_AdjustLuminance = 7;
const sal_Int32 PROP_AdjustmentValues = 8;
const sal_Int32 PROP_Align = 9;
const sal_Int32 PROP_AnchorPosition = 10;
const sal_Int32 PROP_AnchorType = 11;
const sal_Int32 PROP_ApplyFormDesignMode = 12;
const sal_Int32 PROP_AreaLinks = 13;
const sal_Int32 PROP_ArrangeOrder = 14;
const sal_Int32 PROP_Aspect = 15;
const sal_Int32 PROP_AttachedAxisIndex = 16;
const sal_Int32 PROP_AutoFilter = 17;
const sal_Int32 PROP_AutoShowInfo = 18;
const sal_Int32 PROP_Autocomplete = 19;
const sal_Int32 PROP_BackColor = 20;
const sal_Int32 PROP_BackColorTransparency = 21;
const sal_Int32 PROP_BackGraphic = 22;
const sal_Int32 PROP_BackGraphicLocation = 23;
const sal_Int32 PROP_Background = 24;
const sal_Int32 PROP_BackgroundColor = 25;
const sal_Int32 PROP_BasicLibraries = 26;
const sal_Int32 PROP_BlackDay = 27;
const sal_Int32 PROP_BlockIncrement = 28;
const sal_Int32 PROP_Border = 29;
const sal_Int32 PROP_BorderColor = 30;
const sal_Int32 PROP_BorderDashName = 31;
const sal_Int32 PROP_BorderStyle = 32;
const sal_Int32 PROP_BorderTransparency = 33;
const sal_Int32 PROP_BorderWidth = 34;
const sal_Int32 PROP_BottomBorder = 35;
const sal_Int32 PROP_BottomBorderDistance = 36;
const sal_Int32 PROP_BottomMargin = 37;
const sal_Int32 PROP_BuiltInUnit = 38;
const sal_Int32 PROP_BulletChar = 39;
const sal_Int32 PROP_BulletColor = 40;
const sal_Int32 PROP_BulletFont = 41;
const sal_Int32 PROP_BulletFontName = 42;
const sal_Int32 PROP_BulletRelSize = 43;
const sal_Int32 PROP_CLSID = 44;
const sal_Int32 PROP_CalcAsShown = 45;
const sal_Int32 PROP_CellBackColor = 46;
const sal_Int32 PROP_CellProtection = 47;
const sal_Int32 PROP_CellStyle = 48;
const sal_Int32 PROP_CenterHorizontally = 49;
const sal_Int32 PROP_CenterVertically = 50;
const sal_Int32 PROP_Change = 51;
const sal_Int32 PROP_CharCaseMap = 52;
const sal_Int32 PROP_CharColor = 53;
const sal_Int32 PROP_CharContoured = 54;
const sal_Int32 PROP_CharEscapement = 55;
const sal_Int32 PROP_CharEscapementHeight = 56;
const sal_Int32 PROP_CharFontCharSet = 57;
const sal_Int32 PROP_CharFontCharSetAsian = 58;
const sal_Int32 PROP_CharFontCharSetComplex = 59;
const sal_Int32 PROP_CharFontFamily = 60;
const sal_Int32 PROP_CharFontFamilyAsian = 61;
const sal_Int32 PROP_CharFontFamilyComplex = 62;
const sal_Int32 PROP_CharFontName = 63;
const sal_Int32 PROP_CharFontNameAsian = 64;
const sal_Int32 PROP_CharFontNameComplex = 65;
const sal_Int32 PROP_CharFontPitch = 66;
const sal_Int32 PROP_CharFontPitchAsian = 67;
const sal_Int32 PROP_CharFontPitchComplex = 68;
const sal_Int32 PROP_CharHeight = 69;
const sal_Int32 PROP_CharHeightAsian = 70;
const sal_Int32 PROP_CharHeightComplex = 71;
const sal_Int32 PROP_CharInteropGrabBag = 72;
const sal_Int32 PROP_CharKerning = 73;
const sal_Int32 PROP_CharLocale = 74;
const sal_Int32 PROP_CharLocaleAsian = 75;
const sal_Int32 PROP_CharLocaleComplex = 76;
const sal_Int32 PROP_CharPosture = 77;
const sal_Int32 PROP_CharPostureAsian = 78;
const sal_Int32 PROP_CharPostureComplex = 79;
const sal_Int32 PROP_CharShadowed = 80;
const sal_Int32 PROP_CharStrikeout = 81;
const sal_Int32 PROP_CharStyleName = 82;
const sal_Int32 PROP_CharUnderline = 83;
const sal_Int32 PROP_CharUnderlineColor = 84;
const sal_Int32 PROP_CharUnderlineHasColor = 85;
const sal_Int32 PROP_CharWeight = 86;
const sal_Int32 PROP_CharWeightAsian = 87;
const sal_Int32 PROP_CharWeightComplex = 88;
const sal_Int32 PROP_CircleEndAngle = 89;
const sal_Int32 PROP_CircleKind = 90;
const sal_Int32 PROP_CircleStartAngle = 91;
const sal_Int32 PROP_ClassId = 92;
const sal_Int32 PROP_CodeName = 93;
const sal_Int32 PROP_Color = 94;
const sal_Int32 PROP_ColumnGrand = 95;
const sal_Int32 PROP_ColumnLabelRanges = 96;
const sal_Int32 PROP_CompileEnglish = 97;
const sal_Int32 PROP_ConditionalFormat = 98;
const sal_Int32 PROP_ConnectBars = 99;
const sal_Int32 PROP_ContainsHeader = 100;
const sal_Int32 PROP_Coordinates = 101;
const sal_Int32 PROP_CopyBack = 102;
const sal_Int32 PROP_CopyFormulas = 103;
const sal_Int32 PROP_CopyOutputData = 104;
const sal_Int32 PROP_CopyStyles = 105;
const sal_Int32 PROP_CornerRadius = 106;
const sal_Int32 PROP_CrossoverPosition = 107;
const sal_Int32 PROP_CrossoverValue = 108;
const sal_Int32 PROP_CursorPositionX = 109;
const sal_Int32 PROP_CursorPositionY = 110;
const sal_Int32 PROP_CurveName = 111;
const sal_Int32 PROP_CurveStyle = 112;
const sal_Int32 PROP_CustomLabelFields = 113;
const sal_Int32 PROP_CustomShapeGeometry = 114;
const sal_Int32 PROP_D3DSceneAmbientColor = 115;
const sal_Int32 PROP_D3DSceneLightColor2 = 116;
const sal_Int32 PROP_D3DSceneLightDirection2 = 117;
const sal_Int32 PROP_D3DSceneLightOn1 = 118;
const sal_Int32 PROP_D3DSceneLightOn2 = 119;
const sal_Int32 PROP_D3DScenePerspective = 120;
const sal_Int32 PROP_D3DSceneShadeMode = 121;
const sal_Int32 PROP_DDELinks = 122;
const sal_Int32 PROP_DataTableHBorder = 123;
const sal_Int32 PROP_DataTableOutline = 124;
const sal_Int32 PROP_DataTableVBorder = 125;
const sal_Int32 PROP_DatabaseRanges = 126;
const sal_Int32 PROP_Decoration = 127;
const sal_Int32 PROP_DefaultScrollValue = 128;
const sal_Int32 PROP_DefaultSpinValue = 129;
const sal_Int32 PROP_DefaultState = 130;
const sal_Int32 PROP_DefaultText = 131;
const sal_Int32 PROP_DefaultValue = 132;
const sal_Int32 PROP_DiagonalBLTR = 133;
const sal_Int32 PROP_DiagonalTLBR = 134;
const sal_Int32 PROP_DialogLibraries = 135;
const sal_Int32 PROP_DisableComplexChartTypes = 136;
const sal_Int32 PROP_DisableDataTableDialog = 137;
const sal_Int32 PROP_DisplayLabels = 138;
const sal_Int32 PROP_DisplayUnits = 139;
const sal_Int32 PROP_DrillDownOnDoubleClick = 140;
const sal_Int32 PROP_Dropdown = 141;
const sal_Int32 PROP_Duration = 142;
const sal_Int32 PROP_EchoChar = 143;
const sal_Int32 PROP_EnableVisible = 144;
const sal_Int32 PROP_Enabled = 145;
const sal_Int32 PROP_EndPosition = 146;
const sal_Int32 PROP_Equations = 147;
const sal_Int32 PROP_ErrorAlertStyle = 148;
const sal_Int32 PROP_ErrorBarStyle = 149;
const sal_Int32 PROP_ErrorBarX = 150;
const sal_Int32 PROP_ErrorBarY = 151;
const sal_Int32 PROP_ErrorMessage = 152;
const sal_Int32 PROP_ErrorTitle = 153;
const sal_Int32 PROP_Expansion = 154;
const sal_Int32 PROP_ExternalData = 155;
const sal_Int32 PROP_ExternalDocLinks = 156;
const sal_Int32 PROP_ExternalLinks = 157;
const sal_Int32 PROP_ExtrapolateBackward = 158;
const sal_Int32 PROP_ExtrapolateForward = 159;
const sal_Int32 PROP_FileFormat = 160;
const sal_Int32 PROP_FillBackground = 161;
const sal_Int32 PROP_FillBitmap = 162;
const sal_Int32 PROP_FillBitmapMode = 163;
const sal_Int32 PROP_FillBitmapName = 164;
const sal_Int32 PROP_FillBitmapPositionOffsetX = 165;
const sal_Int32 PROP_FillBitmapPositionOffsetY = 166;
const sal_Int32 PROP_FillBitmapRectanglePoint = 167;
const sal_Int32 PROP_FillBitmapSizeX = 168;
const sal_Int32 PROP_FillBitmapSizeY = 169;
const sal_Int32 PROP_FillColor = 170;
const sal_Int32 PROP_FillGradient = 171;
const sal_Int32 PROP_FillGradientName = 172;
const sal_Int32 PROP_FillHatch = 173;
const sal_Int32 PROP_FillStyle = 174;
const sal_Int32 PROP_FillTransparence = 175;
const sal_Int32 PROP_FillTransparenceGradient = 176;
const sal_Int32 PROP_FillTransparenceGradientName = 177;
const sal_Int32 PROP_Filter = 178;
const sal_Int32 PROP_FilterCriteriaSource = 179;
const sal_Int32 PROP_FilterOptions = 180;
const sal_Int32 PROP_FirstLineOffset = 181;
const sal_Int32 PROP_FirstPageNumber = 182;
const sal_Int32 PROP_FocusOnClick = 183;
const sal_Int32 PROP_FontCharset = 184;
const sal_Int32 PROP_FontHeight = 185;
const sal_Int32 PROP_FontIndependentLineSpacing = 186;
const sal_Int32 PROP_FontName = 187;
const sal_Int32 PROP_FontSlant = 188;
const sal_Int32 PROP_FontStrikeout = 189;
const sal_Int32 PROP_FontUnderline = 190;
const sal_Int32 PROP_FontWeight = 191;
const sal_Int32 PROP_FooterBodyDistance = 192;
const sal_Int32 PROP_FooterHeight = 193;
const sal_Int32 PROP_FooterIsDynamicHeight = 194;
const sal_Int32 PROP_FooterIsOn = 195;
const sal_Int32 PROP_FooterIsShared = 196;
const sal_Int32 PROP_ForceIntercept = 197;
const sal_Int32 PROP_FormulaConvention = 198;
const sal_Int32 PROP_FrameIsAutomaticHeight = 199;
const sal_Int32 PROP_Function = 200;
const sal_Int32 PROP_GapwidthSequence = 201;
const sal_Int32 PROP_GenerateVbaEvents = 202;
const sal_Int32 PROP_Geometry3D = 203;
const sal_Int32 PROP_GradientName = 204;
const sal_Int32 PROP_Graphic = 205;
const sal_Int32 PROP_GraphicBitmap = 206;
const sal_Int32 PROP_GraphicColorMode = 207;
const sal_Int32 PROP_GraphicCrop = 208;
const sal_Int32 PROP_GraphicSize = 209;
const sal_Int32 PROP_GridColor = 210;
const sal_Int32 PROP_GroupInfo = 211;
const sal_Int32 PROP_GroupName = 212;
const sal_Int32 PROP_HScroll = 213;
const sal_Int32 PROP_Handles = 214;
const sal_Int32 PROP_HasAutoShowInfo = 215;
const sal_Int32 PROP_HasColumnRowHeaders = 216;
const sal_Int32 PROP_HasHorizontalScrollBar = 217;
const sal_Int32 PROP_HasLayoutInfo = 218;
const sal_Int32 PROP_HasMainTitle = 219;
const sal_Int32 PROP_HasReference = 220;
const sal_Int32 PROP_HasSecondaryXAxisTitle = 221;
const sal_Int32 PROP_HasSecondaryYAxisTitle = 222;
const sal_Int32 PROP_HasSheetTabs = 223;
const sal_Int32 PROP_HasSortInfo = 224;
const sal_Int32 PROP_HasVerticalScrollBar = 225;
const sal_Int32 PROP_HasXAxisTitle = 226;
const sal_Int32 PROP_HasYAxisTitle = 227;
const sal_Int32 PROP_HasZAxisTitle = 228;
const sal_Int32 PROP_HeaderBodyDistance = 229;
const sal_Int32 PROP_HeaderHeight = 230;
const sal_Int32 PROP_HeaderIsDynamicHeight = 231;
const sal_Int32 PROP_HeaderIsOn = 232;
const sal_Int32 PROP_HeaderIsShared = 233;
const sal_Int32 PROP_Height = 234;
const sal_Int32 PROP_HelpText = 235;
const sal_Int32 PROP_HideInactiveSelection = 236;
const sal_Int32 PROP_HoriJustify = 237;
const sal_Int32 PROP_HoriJustifyMethod = 238;
const sal_Int32 PROP_HoriOrient = 239;
const sal_Int32 PROP_HoriOrientPosition = 240;
const sal_Int32 PROP_HoriOrientRelation = 241;
const sal_Int32 PROP_HorizontalSplitMode = 242;
const sal_Int32 PROP_HorizontalSplitPositionTwips = 243;
const sal_Int32 PROP_IgnoreBlankCells = 244;
const sal_Int32 PROP_IgnoreCase = 245;
const sal_Int32 PROP_IgnoreLeadingSpaces = 246;
const sal_Int32 PROP_ImagePosition = 247;
const sal_Int32 PROP_IncludeHiddenCells = 248;
const sal_Int32 PROP_InputMessage = 249;
const sal_Int32 PROP_InputTitle = 250;
const sal_Int32 PROP_InterceptValue = 251;
const sal_Int32 PROP_IsActive = 252;
const sal_Int32 PROP_IsAdjustHeightEnabled = 253;
const sal_Int32 PROP_IsCaseSensitive = 254;
const sal_Int32 PROP_IsCellBackgroundTransparent = 255;
const sal_Int32 PROP_IsChangeReadOnlyEnabled = 256;
const sal_Int32 PROP_IsDate = 257;
const sal_Int32 PROP_IsExecuteLinkEnabled = 258;
const sal_Int32 PROP_IsHidden = 259;
const sal_Int32 PROP_IsIterationEnabled = 260;
const sal_Int32 PROP_IsLandscape = 261;
const sal_Int32 PROP_IsLoaded = 262;
const sal_Int32 PROP_IsNumbering = 263;
const sal_Int32 PROP_IsOutlineSymbolsSet = 264;
const sal_Int32 PROP_IsPlaceholderDependent = 265;
const sal_Int32 PROP_IsSharedFormula = 266;
const sal_Int32 PROP_IsStartOfNewPage = 267;
const sal_Int32 PROP_IsTextWrapped = 268;
const sal_Int32 PROP_IsUndoEnabled = 269;
const sal_Int32 PROP_IsVisible = 270;
const sal_Int32 PROP_IterationCount = 271;
const sal_Int32 PROP_IterationEpsilon = 272;
const sal_Int32 PROP_Japanese = 273;
const sal_Int32 PROP_Label = 274;
const sal_Int32 PROP_LabelBorderColor = 275;
const sal_Int32 PROP_LabelBorderStyle = 276;
const sal_Int32 PROP_LabelBorderWidth = 277;
const sal_Int32 PROP_LabelPlacement = 278;
const sal_Int32 PROP_LabelPosition = 279;
const sal_Int32 PROP_LabelSeparator = 280;
const sal_Int32 PROP_LayoutInfo = 281;
const sal_Int32 PROP_LeftBorder = 282;
const sal_Int32 PROP_LeftBorderDistance = 283;
const sal_Int32 PROP_LeftMargin = 284;
const sal_Int32 PROP_LeftPageFooterContent = 285;
const sal_Int32 PROP_LeftPageHeaderContent = 286;
const sal_Int32 PROP_LegacyFragment = 287;
const sal_Int32 PROP_LineColor = 288;
const sal_Int32 PROP_LineCount = 289;
const sal_Int32 PROP_LineDash = 290;
const sal_Int32 PROP_LineDashName = 291;
const sal_Int32 PROP_LineEndCenter = 292;
const sal_Int32 PROP_LineEndName = 293;
const sal_Int32 PROP_LineEndWidth = 294;
const sal_Int32 PROP_LineIncrement = 295;
const sal_Int32 PROP_LineJoint = 296;
const sal_Int32 PROP_LineStartCenter = 297;
const sal_Int32 PROP_LineStartName = 298;
const sal_Int32 PROP_LineStartWidth = 299;
const sal_Int32 PROP_LineStyle = 300;
const sal_Int32 PROP_LineTransparence = 301;
const sal_Int32 PROP_LineWidth = 302;
const sal_Int32 PROP_LinkNumberFormatToSource = 303;
const sal_Int32 PROP_LinkURL = 304;
const sal_Int32 PROP_LoadReadonly = 305;
const sal_Int32 PROP_LookUpLabels = 306;
const sal_Int32 PROP_MajorTickmarks = 307;
const sal_Int32 PROP_MarkPosition = 308;
const sal_Int32 PROP_MaxFieldCount = 309;
const sal_Int32 PROP_MaxTextLen = 310;
const sal_Int32 PROP_MediaType = 311;
const sal_Int32 PROP_MediaURL = 312;
const sal_Int32 PROP_MinorTickmarks = 313;
const sal_Int32 PROP_MirroredX = 314;
const sal_Int32 PROP_MirroredY = 315;
const sal_Int32 PROP_MissingValueTreatment = 316;
const sal_Int32 PROP_Model = 317;
const sal_Int32 PROP_ModifyPasswordHash = 318;
const sal_Int32 PROP_MoveProtect = 319;
const sal_Int32 PROP_MovingAveragePeriod = 320;
const sal_Int32 PROP_MultiLine = 321;
const sal_Int32 PROP_MultiPageValue = 322;
const sal_Int32 PROP_MultiSelection = 323;
const sal_Int32 PROP_Name = 324;
const sal_Int32 PROP_NamedRanges = 325;
const sal_Int32 PROP_NegativeError = 326;
const sal_Int32 PROP_NullDate = 327;
const sal_Int32 PROP_NumberFormat = 328;
const sal_Int32 PROP_NumberingIsNumber = 329;
const sal_Int32 PROP_NumberingLevel = 330;
const sal_Int32 PROP_NumberingRules = 331;
const sal_Int32 PROP_NumberingType = 332;
const sal_Int32 PROP_Offset = 333;
const sal_Int32 PROP_OpCodeMap = 334;
const sal_Int32 PROP_Opaque = 335;
const sal_Int32 PROP_Orientation = 336;
const sal_Int32 PROP_OutputPosition = 337;
const sal_Int32 PROP_OverlapSequence = 338;
const sal_Int32 PROP_PageScale = 339;
const sal_Int32 PROP_PageStyle = 340;
const sal_Int32 PROP_PageToggle = 341;
const sal_Int32 PROP_PageViewZoomValue = 342;
const sal_Int32 PROP_PaintTransparent = 343;
const sal_Int32 PROP_ParaAdjust = 344;
const sal_Int32 PROP_ParaBottomMargin = 345;
const sal_Int32 PROP_ParaFirstLineIndent = 346;
const sal_Int32 PROP_ParaIndent = 347;
const sal_Int32 PROP_ParaIsHangingPunctuation = 348;
const sal_Int32 PROP_ParaIsHyphenation = 349;
const sal_Int32 PROP_ParaLeftMargin = 350;
const sal_Int32 PROP_ParaLineSpacing = 351;
const sal_Int32 PROP_ParaRightMargin = 352;
const sal_Int32 PROP_ParaTabStops = 353;
const sal_Int32 PROP_ParaTopMargin = 354;
const sal_Int32 PROP_Path = 355;
const sal_Int32 PROP_PercentageNumberFormat = 356;
const sal_Int32 PROP_PersistName = 357;
const sal_Int32 PROP_Perspective = 358;
const sal_Int32 PROP_PolyPolygon = 359;
const sal_Int32 PROP_PolyPolygonBezier = 360;
const sal_Int32 PROP_PolygonKind = 361;
const sal_Int32 PROP_PolynomialDegree = 362;
const sal_Int32 PROP_Position = 363;
const sal_Int32 PROP_PositionBottom = 364;
const sal_Int32 PROP_PositionLeft = 365;
const sal_Int32 PROP_PositionRight = 366;
const sal_Int32 PROP_PositionTop = 367;
const sal_Int32 PROP_PositionX = 368;
const sal_Int32 PROP_PositionY = 369;
const sal_Int32 PROP_PositiveError = 370;
const sal_Int32 PROP_Prefix = 371;
const sal_Int32 PROP_PresetTextWarp = 372;
const sal_Int32 PROP_PrintAnnotations = 373;
const sal_Int32 PROP_PrintBorder = 374;
const sal_Int32 PROP_PrintDownFirst = 375;
const sal_Int32 PROP_PrintGrid = 376;
const sal_Int32 PROP_PrintHeaders = 377;
const sal_Int32 PROP_Printable = 378;
const sal_Int32 PROP_PrivateStream = 379;
const sal_Int32 PROP_PrivateTempFileURL = 380;
const sal_Int32 PROP_ProgressValueMax = 381;
const sal_Int32 PROP_ProgressValueMin = 382;
const sal_Int32 PROP_Protected = 383;
const sal_Int32 PROP_RadiusRangeMaximum = 384;
const sal_Int32 PROP_RadiusRangeMinimum = 385;
const sal_Int32 PROP_RangeXMaximum = 386;
const sal_Int32 PROP_RangeXMinimum = 387;
const sal_Int32 PROP_RangeYMaximum = 388;
const sal_Int32 PROP_RangeYMinimum = 389;
const sal_Int32 PROP_ReadOnly = 390;
const sal_Int32 PROP_RefAngle = 391;
const sal_Int32 PROP_RefR = 392;
const sal_Int32 PROP_RefX = 393;
const sal_Int32 PROP_RefY = 394;
const sal_Int32 PROP_Reference = 395;
const sal_Int32 PROP_ReferenceDevice = 396;
const sal_Int32 PROP_ReferenceSheet = 397;
const sal_Int32 PROP_RefreshPeriod = 398;
const sal_Int32 PROP_RegularExpressions = 399;
const sal_Int32 PROP_RelId = 400;
const sal_Int32 PROP_RelativeHeight = 401;
const sal_Int32 PROP_RelativeHorizontalTabbarWidth = 402;
const sal_Int32 PROP_RelativePosition = 403;
const sal_Int32 PROP_RelativeSize = 404;
const sal_Int32 PROP_RelativeWidth = 405;
const sal_Int32 PROP_Repeat = 406;
const sal_Int32 PROP_RepeatDelay = 407;
const sal_Int32 PROP_Representation = 408;
const sal_Int32 PROP_RightAngledAxes = 409;
const sal_Int32 PROP_RightBorder = 410;
const sal_Int32 PROP_RightBorderDistance = 411;
const sal_Int32 PROP_RightMargin = 412;
const sal_Int32 PROP_RightPageFooterContent = 413;
const sal_Int32 PROP_RightPageHeaderContent = 414;
const sal_Int32 PROP_Role = 415;
const sal_Int32 PROP_RotateAngle = 416;
const sal_Int32 PROP_RotateReference = 417;
const sal_Int32 PROP_RotationHorizontal = 418;
const sal_Int32 PROP_RotationVertical = 419;
const sal_Int32 PROP_RowGrand = 420;
const sal_Int32 PROP_RowLabelRanges = 421;
const sal_Int32 PROP_SaveOutputPosition = 422;
const sal_Int32 PROP_ScaleMode = 423;
const sal_Int32 PROP_ScaleToPages = 424;
const sal_Int32 PROP_ScaleToPagesX = 425;
const sal_Int32 PROP_ScaleToPagesY = 426;
const sal_Int32 PROP_ScrollHeight = 427;
const sal_Int32 PROP_ScrollLeft = 428;
const sal_Int32 PROP_ScrollTop = 429;
const sal_Int32 PROP_ScrollValue = 430;
const sal_Int32 PROP_ScrollValueMax = 431;
const sal_Int32 PROP_ScrollValueMin = 432;
const sal_Int32 PROP_ScrollWidth = 433;
const sal_Int32 PROP_Segments = 434;
const sal_Int32 PROP_SelectedItems = 435;
const sal_Int32 PROP_SelectedPage = 436;
const sal_Int32 PROP_Shadow = 437;
const sal_Int32 PROP_ShadowColor = 438;
const sal_Int32 PROP_ShadowFormat = 439;
const sal_Int32 PROP_ShadowTransparence = 440;
const sal_Int32 PROP_ShadowXDistance = 441;
const sal_Int32 PROP_ShadowYDistance = 442;
const sal_Int32 PROP_Show = 443;
const sal_Int32 PROP_ShowBorder = 444;
const sal_Int32 PROP_ShowCharts = 445;
const sal_Int32 PROP_ShowCorrelationCoefficient = 446;
const sal_Int32 PROP_ShowDetail = 447;
const sal_Int32 PROP_ShowDrawing = 448;
const sal_Int32 PROP_ShowEmpty = 449;
const sal_Int32 PROP_ShowEquation = 450;
const sal_Int32 PROP_ShowErrorMessage = 451;
const sal_Int32 PROP_ShowFilterButton = 452;
const sal_Int32 PROP_ShowFirst = 453;
const sal_Int32 PROP_ShowFormulas = 454;
const sal_Int32 PROP_ShowGrid = 455;
const sal_Int32 PROP_ShowHighLow = 456;
const sal_Int32 PROP_ShowInputMessage = 457;
const sal_Int32 PROP_ShowList = 458;
const sal_Int32 PROP_ShowNegativeError = 459;
const sal_Int32 PROP_ShowObjects = 460;
const sal_Int32 PROP_ShowPageBreakPreview = 461;
const sal_Int32 PROP_ShowPositiveError = 462;
const sal_Int32 PROP_ShowZeroValues = 463;
const sal_Int32 PROP_ShrinkToFit = 464;
const sal_Int32 PROP_Size = 465;
const sal_Int32 PROP_Size100thMM = 466;
const sal_Int32 PROP_SizePixel = 467;
const sal_Int32 PROP_SizeProtect = 468;
const sal_Int32 PROP_SizeType = 469;
const sal_Int32 PROP_SkipDuplicates = 470;
const sal_Int32 PROP_SortInfo = 471;
const sal_Int32 PROP_Sound = 472;
const sal_Int32 PROP_SoundOn = 473;
const sal_Int32 PROP_Speed = 474;
const sal_Int32 PROP_Spin = 475;
const sal_Int32 PROP_SpinIncrement = 476;
const sal_Int32 PROP_SpinValue = 477;
const sal_Int32 PROP_SpinValueMax = 478;
const sal_Int32 PROP_SpinValueMin = 479;
const sal_Int32 PROP_StackCharacters = 480;
const sal_Int32 PROP_StackingDirection = 481;
const sal_Int32 PROP_StartPosition = 482;
const sal_Int32 PROP_StartWith = 483;
const sal_Int32 PROP_StartingAngle = 484;
const sal_Int32 PROP_State = 485;
const sal_Int32 PROP_StringItemList = 486;
const sal_Int32 PROP_SubViewSize = 487;
const sal_Int32 PROP_Subtotals = 488;
const sal_Int32 PROP_Suffix = 489;
const sal_Int32 PROP_Surround = 490;
const sal_Int32 PROP_SwapXAndYAxis = 491;
const sal_Int32 PROP_Symbol = 492;
const sal_Int32 PROP_SymbolColor = 493;
const sal_Int32 PROP_TabColor = 494;
const sal_Int32 PROP_TabIndex = 495;
const sal_Int32 PROP_TableBorder = 496;
const sal_Int32 PROP_TableLayout = 497;
const sal_Int32 PROP_TableSelected = 498;
const sal_Int32 PROP_Tables = 499;
const sal_Int32 PROP_Tabstop = 500;
const sal_Int32 PROP_Tag = 501;
const sal_Int32 PROP_TargetFrame = 502;
const sal_Int32 PROP_Text = 503;
const sal_Int32 PROP_TextAutoGrowHeight = 504;
const sal_Int32 PROP_TextBox = 505;
const sal_Int32 PROP_TextBreak = 506;
const sal_Int32 PROP_TextColor = 507;
const sal_Int32 PROP_TextFitToSize = 508;
const sal_Int32 PROP_TextFrames = 509;
const sal_Int32 PROP_TextHorizontalAdjust = 510;
const sal_Int32 PROP_TextLeftDistance = 511;
const sal_Int32 PROP_TextLowerDistance = 512;
const sal_Int32 PROP_TextOverlap = 513;
const sal_Int32 PROP_TextPreRotateAngle = 514;
const sal_Int32 PROP_TextRightDistance = 515;
const sal_Int32 PROP_TextRotateAngle = 516;
const sal_Int32 PROP_TextRotation = 517;
const sal_Int32 PROP_TextUpperDistance = 518;
const sal_Int32 PROP_TextVerticalAdjust = 519;
const sal_Int32 PROP_TextWordWrap = 520;
const sal_Int32 PROP_TextWritingMode = 521;
const sal_Int32 PROP_Title = 522;
const sal_Int32 PROP_Toggle = 523;
const sal_Int32 PROP_TokenIndex = 524;
const sal_Int32 PROP_TopBorder = 525;
const sal_Int32 PROP_TopBorderDistance = 526;
const sal_Int32 PROP_TopMargin = 527;
const sal_Int32 PROP_TotalsRow = 528;
const sal_Int32 PROP_Transformation = 529;
const sal_Int32 PROP_TransitionDirection = 530;
const sal_Int32 PROP_TransitionDuration = 531;
const sal_Int32 PROP_TransitionFadeColor = 532;
const sal_Int32 PROP_TransitionSubtype = 533;
const sal_Int32 PROP_TransitionType = 534;
const sal_Int32 PROP_Transparency = 535;
const sal_Int32 PROP_TriState = 536;
const sal_Int32 PROP_Type = 537;
const sal_Int32 PROP_URL = 538;
const sal_Int32 PROP_UnnamedDatabaseRanges = 539;
const sal_Int32 PROP_Url = 540;
const sal_Int32 PROP_UseFilterCriteriaSource = 541;
const sal_Int32 PROP_UseRegularExpressions = 542;
const sal_Int32 PROP_UseRings = 543;
const sal_Int32 PROP_UseSelectedPage = 544;
const sal_Int32 PROP_VScroll = 545;
const sal_Int32 PROP_Validation = 546;
const sal_Int32 PROP_Value = 547;
const sal_Int32 PROP_VaryColorsByPoint = 548;
const sal_Int32 PROP_VertJustify = 549;
const sal_Int32 PROP_VertJustifyMethod = 550;
const sal_Int32 PROP_VertOrient = 551;
const sal_Int32 PROP_VertOrientPosition = 552;
const sal_Int32 PROP_VertOrientRelation = 553;
const sal_Int32 PROP_VerticalAlign = 554;
const sal_Int32 PROP_VerticalSplitMode = 555;
const sal_Int32 PROP_VerticalSplitPositionTwips = 556;
const sal_Int32 PROP_ViewBox = 557;
const sal_Int32 PROP_Visible = 558;
const sal_Int32 PROP_VisibleFlag = 559;
const sal_Int32 PROP_VisibleSize = 560;
const sal_Int32 PROP_VisualArea = 561;
const sal_Int32 PROP_VisualEffect = 562;
const sal_Int32 PROP_Weight = 563;
const sal_Int32 PROP_WhiteDay = 564;
const sal_Int32 PROP_Width = 565;
const sal_Int32 PROP_Wildcards = 566;
const sal_Int32 PROP_WritingMode = 567;
const sal_Int32 PROP_XLA1Representation = 568;
const sal_Int32 PROP_ZoomType = 569;
const sal_Int32 PROP_ZoomValue = 570;
const sal_Int32 PROP_COUNT = 571;
const sal_Int32 PROP_INVALID = -1;



} // namespace oox

#endif
